/*
 */

#include <glib.h>

void gobexftp_set_icons (GtkPixmap *folder_opened_icon,
			 GtkPixmap *folder_closed_icon,
			 GtkPixmap *file_icon);

void gobexftp_set_pixmaps (GtkPixmap *busy1_pixmap,
			   GtkPixmap *busy2_pixmap,
			   GtkPixmap *idle_pixmap);

void gobexftp_set_device (gchar *device);
void gobexftp_set_statusbar (GtkWidget *widget);
void gobexftp_set_memorybar (GtkWidget *widget);
void gobexftp_set_ctree (GtkWidget *widget);
void gobexftp_set_busy (GtkWidget *widget);

gint gobexftp_connect (void);

gint gobexftp_disconnect (void);

gint gobexftp_info (void);

gint gobexftp_list (void);

void gobexftp_clear (void);

void gobexftp_upload (gchar *fn);
void gobexftp_download (gchar *fn);
void gobexftp_rename (gchar *fn);
gint gobexftp_delete (void);
